Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex DataLens
  • DataLens neuroanalyst
  • Gallery in DataLens
    • How to use the Public API
    • Versioning
    • Release notes
      • Overview
        • Overview
        • Get updated entries for audit
        • Get entry permissions for user
  • Audit Trails events

In this article:

  • Request
  • Headers
  • Body
  • Responses
  • 200 OK
  • Body
  • EntryScope
  • AuditEntry
  1. DataLens Public API
  2. DataLens API
  3. Audit
  4. Get updated entries for audit
Written by
Yandex Cloud
View in Markdown
  • Request
    • Headers
    • Body
  • Responses
  • 200 OK
    • Body
    • EntryScope
    • AuditEntry

Get updated entries for audit

Returns updated DataLens entries for audit.

RequestRequest

POST

https://api.datalens.tech/rpc/getAuditEntriesUpdates

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

BodyBody

application/json
{
  "from": "2025-01-01T00:00:00Z",
  "to": "2025-01-01T00:00:00Z",
  "limit": 0.5,
  "pageToken": "example"
}

Name

Description

from

Type: string<date-time>

Start date for filtering entries by updatedAt

Example: 2025-01-01T00:00:00Z

limit

Type: number

Maximum number of entries to return

pageToken

Type: string

Token for pagination

Example: example

to

Type: string<date-time>

End date for filtering entries by updatedAt

Example: 2025-01-01T00:00:00Z

ResponsesResponses

200 OK200 OK

Response

BodyBody

application/json
{
  "entries": [
    {
      "entryId": "example",
      "key": "example",
      "isDeleted": true,
      "workbookId": "example",
      "collectionId": "example",
      "parentFolderId": "example",
      "scope": "dash",
      "type": "example",
      "updatedAt": "example",
      "userId": "example"
    }
  ],
  "nextPageToken": "example"
}

Name

Description

entries

Type: AuditEntry[]

Entries updated in the requested period.

Example
[
  {
    "entryId": "example",
    "key": "example",
    "isDeleted": true,
    "workbookId": "example",
    "collectionId": "example",
    "parentFolderId": "example",
    "scope": "dash",
    "type": "example",
    "updatedAt": "example",
    "userId": "example"
  }
]

nextPageToken

Type: string

Token for the next page of results

Example: example

EntryScopeEntryScope

Type of the entry, e.g. dash — dashboard, widget — chart, etc.

Type: string

Enum: dash, report, widget, dataset, folder, connection, compute, artifact

AuditEntryAuditEntry

Name

Description

collectionId

Type: string | null

ID of the associated collection

Example: example

entryId

Type: string

Unique identifier of the entry

Example: example

isDeleted

Type: boolean

Flag indicating if the entry is deleted

key

Type: string | null

Entry key identifier

Example: example

parentFolderId

Type: string | null

ID of the associated folder

Example: example

scope

Type: EntryScope

Type of the entry, e.g. dash — dashboard, widget — chart, etc.

Enum: dash, report, widget, dataset, folder, connection, compute, artifact

type

Type: string | null

Type of the entry

Example: example

updatedAt

Type: string

Timestamp of the last update

Example: example

userId

Type: string

ID of the user who made the change

Example: example

workbookId

Type: string | null

ID of the associated workbook

Example: example

Example
{
  "entryId": "example",
  "key": "example",
  "isDeleted": true,
  "workbookId": "example",
  "collectionId": "example",
  "parentFolderId": "example",
  "scope": "dash",
  "type": "example",
  "updatedAt": "example",
  "userId": "example"
}

Was the article helpful?

Previous
Overview
Next
Get entry permissions for user
© 2026 Direct Cursus Technology L.L.C.